- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers/fetchTemplate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers/fetchTemplate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers/fetchTemplate#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers/fetchTemplate#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers/fetchTemplate#body.FetchTemplateResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers/fetchTemplate#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers/fetchTemplate#body.aspect_1)

**Full name**: projects.locations.instances.integrations.managers.fetchTemplate

Returns a default recommended Python script template for an integration manager. Use this method to quickly start developing new managers.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/managers:fetchTemplate`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The integration to fetch the template for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration} |

### Request body

The request body must be empty.

### Response body

The response message for managers.fetchTemplate.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "template": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers#IntegrationManager`) } } ``` |

| Fields ||
|---|---|
| `template` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.managers#IntegrationManager`)`` Output only. The manager definition template. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.managers.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).